Kerbal Space Program - Bug #4132

Panning over various Ul elements in the editor makes the camera vibrate
02/23/2015 02:44 PM - hfbs

Status: Closed Start date: 02/23/2015
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.90 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

KSP 0.90 x86 on Windows 8.1 x64

In the editor scene (the SPH is easiest to replicate), holding down the mouse scroll wheel (or MMB) and panning the camera around
can cause the camera to wiggle and vibrate if the cursor passes over certain Ul window. So far, the Ul elements I've found that
trigger this are the parts list, More Info window on a part in the parts list, tweakables, staging list, Save/Exit/New buttons, Action
Group/Parts/Crew buttons, the AppLauncher and the editor gizmos - the vessel name field doesn't trigger this. The amount of
vibration appears to be dependent on the speed at which the cursor passes over the Ul element.

This behaviour was not present on KSP 0.23.5. It was introduced in 0.24.2 at the latest (though in a more exaggerated 'wiggle' form,
rather than vibrating) and continued into 0.25. While the wiggle has been dampened into more of a vibration in 0.90, it's still present.

Please see this short video that demonstrates the bug and it's reproduction steps:

http://youtu.be/03m-dNbialo

(at 12 seconds, you can see another bug/feedback report - when deleting the root part for a craft and a new root is selected, the part
appears too high up and out of camera view)

History

#1 - 07/27/2015 05:56 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#2 - 07/17/2016 09:32 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/09/2016 01:14 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
